#include <iostream>
#include <my++/regex.h>

using namespace std;

int main (int argc, char **argv) {
	if (argc < 3) {
		cerr << "Usage: regex [pattern] [string]" << endl;
		return 1;
	}

	my::regex r(argv[1]);

	if (r == argv[2])
		cerr << "Match." << endl;
	else
		cerr << "No match." << endl;

	return 0;
}
